# $Header: https://oberon.oapd.inaf.it/shins/trunk/tan/basda-mocca/src/interface/Makefile.am 3436 2020-09-04 10:04:29Z depa $

include $(top_srcdir)/config/all.mk

AM_CXXFLAGS = $(BASDA_MOCCA_CXXFLAGS) \
              $(BASDA_CXXFLAGS) \
              $(NICE_CXXFLAGS) \
              $(QT4_CXXFLAGS) \
              $(CFITSIO_CFLAGS)  \
              $(ICE_CXXFLAGS)  \
              $(PYTHON_INCLUDE_DIR)

# Note that BASDA_MOCCA_LIBS contains the first two libraries from these libs_LTLIBRARIES,
# so these two needs to be put into the DEPENDENCIES to allow parallel builds. RJM 2016-11-10

lib_LTLIBRARIES = libBasdaMoccaNService_NiceType.la \
                  libBasdaMoccaLCService_NiceType.la \
                  libBasdaMoccaTHService_NiceType.la \
                  libBasdaMoccaNServicePython.la \
                  libBasdaMoccaLCServicePython.la \
                  libBasdaMoccaIcons.la \
                  libBasdaMoccaTrajServiceWidget_NiceTypeQt.la \
                  libBasdaMoccaXServiceWidget_NiceTypeQt.la \
                  libBasdaMoccaXYServiceWidget_NiceTypeQt.la \
                  libBasdaMoccaTTServiceWidget_NiceTypeQt.la \
                  libBasdaMoccaWheelServiceWidget_NiceTypeQt.la \
									libBasdaMoccaWheelServiceWidgetUnit_NiceTypeQt.la \
                  libBasdaMoccaTriPodServiceWidget_NiceTypeQt.la \
                  libBasdaMoccaLCServiceWidget_NiceTypeQt.la

uidir=$(datadir)/ui/Mocca/

nobase_include_HEADERS = Basda/Mocca/PropertyName.h \
                         Basda/Mocca/Device.h

#######################################
libBasdaMoccaNService_NiceType_la_SOURCES = \
        Basda/Mocca/instantType.cc \
        Basda/Mocca/Exception.cc \
        Basda/Mocca/XServiceWorker.basda \
        Basda/Mocca/TrajServiceWorker.basda \
        Basda/Mocca/XYServiceWorker.basda \
        Basda/Mocca/TTServiceWorker.basda \
        Basda/Mocca/WheelServiceWorker.basda \
        Basda/Mocca/TriPodServiceWorker.basda \
        Basda/Mocca/NServiceWorker.basda
libBasdaMoccaNService_NiceType_la_LIBADD  = \
        $(BASDA_LIBS) \
        $(NICE_LIBS)
libBasdaMoccaNService_NiceType_la_LDFLAGS = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_LDFLAGS) \
        $(NICE_LDFLAGS)
nobase_libBasdaMoccaNService_NiceType_la_HEADERS = \
        Basda/Mocca/NDevice.h \
        Basda/Mocca/CDevice.h \
        Basda/Mocca/Constant.h \
        Basda/Mocca/Exception.h \
        Basda/Mocca/NServiceWorkerCore.h \
        Basda/Mocca/NServiceWorkerCore.hh
#        Basda/Mocca/Device.h
#        Basda/Mocca/PropertyName.h
        
libBasdaMoccaNService_NiceType_ladir = \
        $(includedir)
         
pyexec_LTLIBRARIES = BasdaMoccaProperties.la
BasdaMoccaProperties_la_SOURCES = Basda/Mocca/PropertyName.cc
BasdaMoccaProperties_la_LDFLAGS = -avoid-version -module \
                                  $(BASDA_LDFLAGS) \
                                  $(NICE_LDFLAGS) \
                                  $(BASDA_MOCCA_LDFLAGS) \
                                  $(BOOST_LDFLAGS) 
BasdaMoccaProperties_la_CXXFLAGS = $(BASDA_CXXFLAGS) \
                                   $(BASDA_MOCCA_CXXFLAGS) \
                                   $(BOOST_CPPFLAGS) \
                                   $(PYTHON_INCLUDE_DIR)
BasdaMoccaProperties_la_LIBADD = $(BOOST_PYTHON_LIB) \
                                 $(BASDA_MOCCA_LIBS) \
                                 $(BASDA_LIBS) \
                                 $(NICE_LIBS)                                 
BasdaMoccaProperties_la_DEPENDENCIES = \
        libBasdaMoccaNService_NiceType.la \
        libBasdaMoccaLCService_NiceType.la

pyexec_LTLIBRARIES += BasdaMoccaException.la
BasdaMoccaException_la_SOURCES = Basda/Mocca/ExceptionPy.cc
BasdaMoccaException_la_LDFLAGS = -avoid-version -module \
                                  $(BASDA_MOCCA_LDFLAGS) \
                                  $(NICE_LDFLAGS) \
                                  $(ICE_LDFLAGS) \
                                  $(BOOST_LDFLAGS)
BasdaMoccaException_la_CXXFLAGS = $(BASDA_CXXFLAGS) \
                                   $(BASDA_MOCCA_CXXFLAGS) \
                                   $(NICE_CXXFLAGS) \
                                   $(ICE_CXXFLAGS) \
                                   $(BOOST_CPPFLAGS) \
                                   $(PYTHON_INCLUDE_DIR)
BasdaMoccaException_la_LIBADD = $(BOOST_PYTHON_LIB) \
                                 $(BASDA_MOCCA_LIBS) \
                                 $(BASDA_LIBS) \
                                 $(NICE_LIBS) \
                                 $(ICE_LIBS)
BasdaMoccaException_la_DEPENDENCIES = \
        libBasdaMoccaNService_NiceType.la \
        libBasdaMoccaLCService_NiceType.la
        
install_pyexecLTLIBRARIES = install-pyexecLTLIBRARIES
$(install_pyexecLTLIBRARIES): install-libLTLIBRARIES

#######################################
libBasdaMoccaIcons_la_SOURCES = Basda/Qt/NavigationCrossResource.qrc 
libBasdaMoccaIcons_la_LDFLAGS = -Wl,--no-undefined \
                                -version-info \
                                ${LIBRARY_VERSION} \
                                $(QT4_LDFLAGS)
libBasdaMoccaIcons_la_LIBADD = $(QT4_LIBS)


#######################################
nodist_libBasdaMoccaNServicePython_la_SOURCES = \
        Basda/Mocca/NServiceWorkerPy.cc \
        Basda/Mocca/XServiceWorkerPy.cc  \
        Basda/Mocca/TrajServiceWorkerPy.cc  \
        Basda/Mocca/WheelServiceWorkerPy.cc \
        Basda/Mocca/TriPodServiceWorkerPy.cc \
        Basda/Mocca/XYServiceWorkerPy.cc \
        Basda/Mocca/TTServiceWorkerPy.cc
libBasdaMoccaNServicePython_la_LIBADD = \
        -lBasdaMoccaNService_NiceType \
        $(BASDA_LIBS) \
        $(NICE_LIBS) \
	    $(BOOST_PYTHON_LIB) \
	    $(BOOST_CPPFLAGS) \
        $(PYTHON_LIBS)
libBasdaMoccaNServicePython_la_LDFLAGS = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_LDFLAGS) \
        $(NICE_LDFLAGS) \
        $(PYTHON_INCLUDE_DIR)
libBasdaMoccaNServicePython_la_DEPENDENCIES = \
        libBasdaMoccaNService_NiceType.la
        
#######################################
nodist_libBasdaMoccaXServiceWidget_NiceTypeQt_la_SOURCES = \
        libBasdaMoccaXServiceWidget_NiceTypeQt_la.moc.cc \
        Basda/Mocca/XServiceWorkerQt.cc
libBasdaMoccaXServiceWidget_NiceTypeQt_la_SOURCES        = \
        Basda/Qt/X/BasdaMoccaXServiceWidgetClassicUI.ui \
        Basda/Qt/X/BasdaMoccaXServiceWidgetClassic.cc \
        Basda/Qt/X/BasdaMoccaXServiceWidgetClassic.h \
        Basda/Qt/X/BasdaMoccaXServiceWidgetClassic2UI.ui \
        Basda/Qt/X/BasdaMoccaXServiceWidgetClassic2.cc \
        Basda/Qt/X/BasdaMoccaXServiceWidgetClassic2.h \
        Basda/Qt/X/BasdaMoccaXServiceWidgetMiniUI.ui \
        Basda/Qt/X/BasdaMoccaXServiceWidgetMini.cc \
        Basda/Qt/X/BasdaMoccaXServiceWidgetMini.h \
        Basda/Qt/X/BasdaMoccaXServiceWidgetShutterUI.ui \
        Basda/Qt/X/BasdaMoccaXServiceWidgetShutter.cc \
        Basda/Qt/X/BasdaMoccaXServiceWidgetShutter.h \
        Basda/Qt/X/BasdaMoccaXServiceWidgetUI.ui \
        Basda/Qt/X/BasdaMoccaXServiceWidget.cc \
        Basda/Qt/X/BasdaMoccaXServiceWidget.h
libBasdaMoccaXServiceWidget_NiceTypeQt_ladir             = \
        $(includedir)
        
# -lBasdaServiceState_NiceTypeQt added to be able to create the auto generated 
# command widgets via basda/src/Interface/Basda/Qt/WidgetCreator.cc
libBasdaMoccaXServiceWidget_NiceTypeQt_la_LIBADD         = \
        -lBasdaMoccaNService_NiceType \
        -lBasdaMoccaIcons \
        -lBasdaServiceStateIcons \
        -lBasdaServiceState_NiceTypeQt \
        $(BASDA_LIBS) \
        $(NICE_LIBS) \
        $(NICEQT_LIBS) \
        $(QT4_LIBS_ALL)
libBasdaMoccaXServiceWidget_NiceTypeQt_la_LDFLAGS        = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_MOCCA_LDFLAGS) \
        $(NICE_LDFLAGS) \
        $(QT4_LDFLAGS)
libBasdaMoccaXServiceWidget_NiceTypeQt_la_DEPENDENCIES = \
        libBasdaMoccaIcons.la \
        libBasdaMoccaNService_NiceType.la

dist_ui_DATA = Basda/Qt/X/X.ui \
               Basda/Qt/X/XClassic.ui \
               Basda/Qt/X/XClassic2.ui \
               Basda/Qt/X/XShutter.ui \
               Basda/Qt/X/XMini.ui

#######################################
nodist_libBasdaMoccaTrajServiceWidget_NiceTypeQt_la_SOURCES = \
        libBasdaMoccaTrajServiceWidget_NiceTypeQt_la.moc.cc \
        Basda/Mocca/TrajServiceWorkerQt.cc
libBasdaMoccaTrajServiceWidget_NiceTypeQt_la_SOURCES        = \
        Basda/Qt/Traj/BasdaMoccaTrajServiceWidget.cc \
        Basda/Qt/Traj/BasdaMoccaTrajServiceWidget.h \
        Basda/Qt/Traj/BasdaMoccaTrajServiceWidgetUI.ui \
        Basda/Qt/Traj/BasdaMoccaTrajServiceWidgetClassicUI.ui \
        Basda/Qt/Traj/BasdaMoccaTrajServiceWidgetClassic.cc \
        Basda/Qt/Traj/BasdaMoccaTrajServiceWidgetClassic.h \
        Basda/Qt/Traj/BasdaMoccaTrajServiceWidgetMiniUI.ui \
        Basda/Qt/Traj/BasdaMoccaTrajServiceWidgetMini.cc \
        Basda/Qt/Traj/BasdaMoccaTrajServiceWidgetMini.h
libBasdaMoccaTrajServiceWidget_NiceTypeQt_ladir             = \
        $(includedir)
        
# -lBasdaServiceState_NiceTypeQt added to be able to create the auto generated 
# command widgets via basda/src/Interface/Basda/Qt/WidgetCreator.cc
libBasdaMoccaTrajServiceWidget_NiceTypeQt_la_LIBADD         = \
        -lBasdaMoccaIcons \
        -lBasdaServiceStateIcons \
        -lBasdaServiceState_NiceTypeQt \
        $(BASDA_MOCCA_LIBS) \
        $(BASDA_MOC_LIBS) \
        $(BASDA_LIBS) \
        $(NICE_LIBS) \
        $(NICEQT_LIBS) \
        $(QT4_LIBS_ALL)
libBasdaMoccaTrajServiceWidget_NiceTypeQt_la_LDFLAGS        = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_MOCCA_LDFLAGS) \
        $(NICE_LDFLAGS) \
        $(QT4_LDFLAGS)
libBasdaMoccaTrajServiceWidget_NiceTypeQt_la_DEPENDENCIES = \
        libBasdaMoccaIcons.la \
        libBasdaMoccaNService_NiceType.la \
        libBasdaMoccaLCService_NiceType.la

dist_ui_DATA += Basda/Qt/Traj/Traj.ui \
               Basda/Qt/Traj/TrajClassic.ui \
               Basda/Qt/Traj/TrajMini.ui

#######################################
nodist_libBasdaMoccaXYServiceWidget_NiceTypeQt_la_SOURCES = \
        libBasdaMoccaXYServiceWidget_NiceTypeQt_la.moc.cc \
        Basda/Mocca/XYServiceWorkerQt.cc
libBasdaMoccaXYServiceWidget_NiceTypeQt_la_SOURCES = \
        Basda/Qt/XY/BasdaMoccaXYServiceWidgetUI.ui \
        Basda/Qt/XY/BasdaMoccaXYServiceWidget.cc \
        Basda/Qt/XY/BasdaMoccaXYServiceWidget.h \
        Basda/Qt/XY/BasdaMoccaXYServiceWidgetClassicUI.ui \
        Basda/Qt/XY/BasdaMoccaXYServiceWidgetClassic.cc \
        Basda/Qt/XY/BasdaMoccaXYServiceWidgetClassic.h \
        Basda/Qt/XY/BasdaMoccaXYServiceWidgetClassic2UI.ui \
        Basda/Qt/XY/BasdaMoccaXYServiceWidgetClassic2.cc \
        Basda/Qt/XY/BasdaMoccaXYServiceWidgetClassic2.h \
        Basda/Qt/XY/BasdaMoccaXYServiceWidgetMiniUI.ui \
        Basda/Qt/XY/BasdaMoccaXYServiceWidgetMini.cc \
        Basda/Qt/XY/BasdaMoccaXYServiceWidgetMini.h
libBasdaMoccaXYServiceWidget_NiceTypeQt_ladir = \
        $(includedir)

# -lBasdaServiceState_NiceTypeQt added to be able to create the auto generated 
# command widgets via basda/src/Interface/Basda/Qt/WidgetCreator.cc
libBasdaMoccaXYServiceWidget_NiceTypeQt_la_LIBADD = \
        -lBasdaMoccaIcons \
        -lBasdaServiceStateIcons \
        -lBasdaServiceState_NiceTypeQt \
        $(BASDA_MOCCA_LIBS) \
        $(BASDA_LIBS) \
        $(NICE_LIBS) \
        $(NICEQT_LIBS) \
        $(QT4_LIBS_ALL)
libBasdaMoccaXYServiceWidget_NiceTypeQt_la_LDFLAGS = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_MOCCA_LDFLAGS) \
        $(NICE_LDFLAGS) \
        $(QT4_LDFLAGS)
libBasdaMoccaXYServiceWidget_NiceTypeQt_la_DEPENDENCIES = \
        libBasdaMoccaIcons.la \
        libBasdaMoccaNService_NiceType.la \
        libBasdaMoccaLCService_NiceType.la

dist_ui_DATA += Basda/Qt/XY/BasdaMoccaXY.ui \
               Basda/Qt/XY/BasdaMoccaXY4.ui \
               Basda/Qt/XY/BasdaMoccaXY8.ui \
               Basda/Qt/XY/XY.ui \
               Basda/Qt/XY/XY4.ui \
               Basda/Qt/XY/XY8.ui \
               Basda/Qt/XY/XYClassic.ui \
               Basda/Qt/XY/XYClassic2.ui \
               Basda/Qt/XY/XYMini.ui

#######################################
nodist_libBasdaMoccaTTServiceWidget_NiceTypeQt_la_SOURCES = \
        libBasdaMoccaTTServiceWidget_NiceTypeQt_la.moc.cc \
        Basda/Mocca/TTServiceWorkerQt.cc
libBasdaMoccaTTServiceWidget_NiceTypeQt_la_SOURCES = \
        Basda/Qt/TipTilt/BasdaMoccaTTServiceWidgetClassicUI.ui \
        Basda/Qt/TipTilt/BasdaMoccaTTServiceWidgetClassic.cc \
        Basda/Qt/TipTilt/BasdaMoccaTTServiceWidgetClassic.h
libBasdaMoccaTTServiceWidget_NiceTypeQt_ladir = \
        $(includedir)

# -lBasdaServiceState_NiceTypeQt added to be able to create the auto generated 
# command widgets via basda/src/Interface/Basda/Qt/WidgetCreator.cc
libBasdaMoccaTTServiceWidget_NiceTypeQt_la_LIBADD = \
        -lBasdaMoccaIcons \
        -lBasdaServiceStateIcons \
        -lBasdaServiceState_NiceTypeQt \
        $(BASDA_MOCCA_LIBS) \
        $(BASDA_LIBS) \
        $(NICE_LIBS) \
        $(NICEQT_LIBS) \
        $(QT4_LIBS_ALL)
libBasdaMoccaTTServiceWidget_NiceTypeQt_la_LDFLAGS = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_MOCCA_LDFLAGS) \
        $(NICE_LDFLAGS) \
        $(QT4_LDFLAGS)
libBasdaMoccaTTServiceWidget_NiceTypeQt_la_DEPENDENCIES = \
        libBasdaMoccaIcons.la \
        libBasdaMoccaNService_NiceType.la \
        libBasdaMoccaLCService_NiceType.la

dist_ui_DATA += Basda/Qt/TipTilt/TTClassic.ui

#######################################
nodist_libBasdaMoccaWheelServiceWidget_NiceTypeQt_la_SOURCES = \
        libBasdaMoccaWheelServiceWidget_NiceTypeQt_la.moc.cc \
        Basda/Mocca/WheelServiceWorkerQt.cc
libBasdaMoccaWheelServiceWidget_NiceTypeQt_la_SOURCES = \
        Basda/Qt/Wheel/BasdaMoccaWheelServiceWidgetUI.ui \
        Basda/Qt/Wheel/BasdaMoccaWheelServiceWidget.cc \
        Basda/Qt/Wheel/BasdaMoccaWheelServiceWidget.h
libBasdaMoccaWheelServiceWidget_NiceTypeQt_ladir = \
        $(includedir)

# -lBasdaServiceState_NiceTypeQt added to be able to create the auto generated 
# command widgets via basda/src/Interface/Basda/Qt/WidgetCreator.cc
libBasdaMoccaWheelServiceWidget_NiceTypeQt_la_LIBADD = \
        -lBasdaMoccaIcons \
        -lBasdaServiceStateIcons \
        -lBasdaServiceState_NiceTypeQt \
        $(BASDA_MOCCA_LIBS) \
        $(BASDA_LIBS) \
        $(NICE_LIBS) \
        $(NICEQT_LIBS) \
        $(QT4_LIBS_ALL)
libBasdaMoccaWheelServiceWidget_NiceTypeQt_la_LDFLAGS = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_MOCCA_LDFLAGS) \
        $(NICE_LDFLAGS) \
        $(QT4_LDFLAGS)
libBasdaMoccaWheelServiceWidget_NiceTypeQt_la_DEPENDENCIES = \
        libBasdaMoccaIcons.la \
        libBasdaMoccaNService_NiceType.la \
        libBasdaMoccaLCService_NiceType.la

dist_ui_DATA += Basda/Qt/Wheel/Wheel.ui


nodist_libBasdaMoccaWheelServiceWidgetUnit_NiceTypeQt_la_SOURCES = \
	libBasdaMoccaWheelServiceWidgetUnit_NiceTypeQt_la.moc.cc \
	Basda/Mocca/WheelServiceWorkerQt.cc
libBasdaMoccaWheelServiceWidgetUnit_NiceTypeQt_la_SOURCES = \
  Basda/Qt/Wheel/BasdaMoccaWheelServiceWidgetUnitUI.ui \
  Basda/Qt/Wheel/BasdaMoccaWheelServiceWidgetUnit.cc \
  Basda/Qt/Wheel/BasdaMoccaWheelServiceWidgetUnit.h
libBasdaMoccaWheelServiceWidgetUnit_NiceTypeQt_ladir = \
  $(includedir)

# -lBasdaServiceState_NiceTypeQt added to be able to create the auto generated 
# command widgets via basda/src/Interface/Basda/Qt/WidgetCreator.cc
libBasdaMoccaWheelServiceWidgetUnit_NiceTypeQt_la_LIBADD = \
-lBasdaMoccaIcons \
-lBasdaServiceStateIcons \
-lBasdaServiceState_NiceTypeQt \
$(BASDA_MOCCA_LIBS) \
$(BASDA_LIBS) \
$(NICE_LIBS) \
$(NICEQT_LIBS) \
$(QT4_LIBS_ALL)
libBasdaMoccaWheelServiceWidgetUnit_NiceTypeQt_la_LDFLAGS = \
	-Wl,--no-undefined \
	-version-info \
  ${LIBRARY_VERSION} \
  $(BASDA_MOCCA_LDFLAGS) \
  $(NICE_LDFLAGS) \
  $(QT4_LDFLAGS)
libBasdaMoccaWheelServiceWidgetUnit_NiceTypeQt_la_DEPENDENCIES = \
libBasdaMoccaIcons.la \
libBasdaMoccaNService_NiceType.la \
libBasdaMoccaLCService_NiceType.la

dist_ui_DATA += Basda/Qt/Wheel/WheelUnit.ui



#######################################
nodist_libBasdaMoccaTriPodServiceWidget_NiceTypeQt_la_SOURCES = \
        libBasdaMoccaTriPodServiceWidget_NiceTypeQt_la.moc.cc \
        Basda/Mocca/TriPodServiceWorkerQt.cc
libBasdaMoccaTriPodServiceWidget_NiceTypeQt_la_SOURCES = \
        Basda/Qt/TriPod/BasdaMoccaTriPodServiceWidgetUI.ui \
        Basda/Qt/TriPod/BasdaMoccaTriPodServiceWidget.cc \
        Basda/Qt/TriPod/BasdaMoccaTriPodServiceWidget.h
libBasdaMoccaTriPodServiceWidget_NiceTypeQt_ladir = \
        $(includedir)

# -lBasdaServiceState_NiceTypeQt added to be able to create the auto generated 
# command widgets via basda/src/Interface/Basda/Qt/WidgetCreator.cc
libBasdaMoccaTriPodServiceWidget_NiceTypeQt_la_LIBADD = \
        -lBasdaMoccaIcons \
        -lBasdaServiceStateIcons \
        -lBasdaServiceState_NiceTypeQt \
        $(BASDA_MOCCA_LIBS) \
        $(BASDA_LIBS) \
        $(NICE_LIBS) \
        $(NICEQT_LIBS) \
        $(QT4_LIBS_ALL)
libBasdaMoccaTriPodServiceWidget_NiceTypeQt_la_LDFLAGS = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_MOCCA_LDFLAGS) \
        $(NICE_LDFLAGS) \
        $(QT4_LDFLAGS)
libBasdaMoccaTriPodServiceWidget_NiceTypeQt_la_DEPENDENCIES = \
        libBasdaMoccaIcons.la \
        libBasdaMoccaNService_NiceType.la \
        libBasdaMoccaLCService_NiceType.la

dist_ui_DATA += Basda/Qt/TriPod/TriPod.ui 

#######################################
libBasdaMoccaLCService_NiceType_la_SOURCES = \
        Basda/Mocca/instantType.cc \
        Basda/Mocca/LCServiceWorker.basda
libBasdaMoccaLCService_NiceType_la_LIBADD  = \
        $(BASDA_LIBS) \
        $(NICE_LIBS)
libBasdaMoccaLCService_NiceType_la_LDFLAGS = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_LDFLAGS) \
        $(NICE_LDFLAGS)
nobase_libBasdaMoccaLCService_NiceType_la_HEADERS = \
        Basda/Mocca/LCDevice.h
#        Basda/Mocca/PropertyName.h
        
#Device.h will be installed from NService        
#        Basda/Mocca/Device.h

libBasdaMoccaLCService_NiceType_ladir = \
        $(includedir)

#######################################
nodist_libBasdaMoccaLCServicePython_la_SOURCES = \
        Basda/Mocca/LCServiceWorkerPy.cc
libBasdaMoccaLCServicePython_la_LIBADD = \
        -lBasdaMoccaLCService_NiceType \
        $(BASDA_LIBS) \
        $(NICE_LIBS) \
        $(BOOST_PYTHON_LIB) \
        $(BOOST_CPPFLAGS) \
        $(PYTHON_LIBS)
libBasdaMoccaLCServicePython_la_LDFLAGS = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_LDFLAGS) \
        $(NICE_LDFLAGS) \
        $(PYTHON_INCLUDE_DIR)
libBasdaMoccaLCServicePython_la_DEPENDENCIES = \
        libBasdaMoccaLCService_NiceType.la
        
#######################################
nodist_libBasdaMoccaLCServiceWidget_NiceTypeQt_la_SOURCES = \
        libBasdaMoccaLCServiceWidget_NiceTypeQt_la.moc.cc \
        Basda/Mocca/LCServiceWorkerQt.cc
libBasdaMoccaLCServiceWidget_NiceTypeQt_la_SOURCES        = \
        Basda/Qt/LC/BasdaMoccaLCServiceWidgetUI.ui \
        Basda/Qt/LC/BasdaMoccaLCServiceItem.cc \
        Basda/Qt/LC/BasdaMoccaLCServiceItem.h \
        Basda/Qt/LC/BasdaMoccaLCServiceWidget.cc \
        Basda/Qt/LC/BasdaMoccaLCServiceWidget.h
libBasdaMoccaLCServiceWidget_NiceTypeQt_ladir             = \
        $(includedir)
        
# -lBasdaServiceState_NiceTypeQt added to be able to create the auto generated 
# command widgets via basda/src/Interface/Basda/Qt/WidgetCreator.cc
libBasdaMoccaLCServiceWidget_NiceTypeQt_la_LIBADD         = \
        -lBasdaMoccaLCService_NiceType \
        -lBasdaServiceStateIcons \
        -lBasdaServiceState_NiceTypeQt \
        $(BASDA_LIBS) \
        $(NICE_LIBS) \
        $(NICEQT_LIBS) \
        $(QT4_LIBS_ALL) \
        $(QT4_LIBS_QtXml) \
        $(CFITSIO_LIBS)
libBasdaMoccaLCServiceWidget_NiceTypeQt_la_LDFLAGS        = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_MOCCA_LDFLAGS) \
        $(NICE_LDFLAGS) \
        $(QT4_LDFLAGS) \
        $(CFITSIO_LDFLAGS)
libBasdaMoccaLCServiceWidget_NiceTypeQt_la_DEPENDENCIES = \
        libBasdaMoccaIcons.la \
        libBasdaMoccaLCService_NiceType.la

dist_ui_DATA += Basda/Qt/LC/LC.ui

#######################################
libBasdaMoccaTHService_NiceType_la_SOURCES = \
        Basda/Mocca/instantType.cc
libBasdaMoccaTHService_NiceType_la_LIBADD  = \
        $(BASDA_LIBS) \
        $(NICE_LIBS)
libBasdaMoccaTHService_NiceType_la_LDFLAGS = \
        -Wl,--no-undefined \
        -version-info \
        ${LIBRARY_VERSION} \
        $(BASDA_LDFLAGS) \
        $(NICE_LDFLAGS)
nobase_libBasdaMoccaTHService_NiceType_la_HEADERS = \
        Basda/Mocca/THDevice.h
#        Basda/Mocca/PropertyName.h
        
#Device.h will be installed from NService        
#        Basda/Mocca/Device.h

libBasdaMoccaTHService_NiceType_ladir = \
        $(includedir)

#######################################
EXTRA_DIST = Basda/Qt/32x32/go_a1.png         Basda/Qt/32x32/go_a2.png              Basda/Qt/32x32/go_a3.png   Basda/Qt/32x32/go_a4.png \
             Basda/Qt/32x32/go_a5.png         Basda/Qt/32x32/go_a6.png              Basda/Qt/32x32/go_a7.png \
             Basda/Qt/32x32/go_a.png          Basda/Qt/32x32/gogrey_ne.png          Basda/Qt/32x32/gogrey_s.png   Basda/Qt/32x32/goselect_abs.png \
             Basda/Qt/32x32/go_c.png          Basda/Qt/32x32/gogrey_n.png           Basda/Qt/32x32/gogrey_sw.png  Basda/Qt/32x32/goselect_rel1.png \
             Basda/Qt/32x32/go_e.png          Basda/Qt/32x32/gogrey_nw.png          Basda/Qt/32x32/gogrey_w.png   Basda/Qt/32x32/goselect_rel2.png \
             Basda/Qt/32x32/gogrey_a.png      Basda/Qt/32x32/gogrey_sel1.png        Basda/Qt/32x32/gomax_e.png    Basda/Qt/32x32/goselect_rel3.png \
             Basda/Qt/32x32/gogrey_c.png      Basda/Qt/32x32/gogreyselect_abs.png   Basda/Qt/32x32/gomax_ne.png   Basda/Qt/32x32/goselect_rel4.png \
             Basda/Qt/32x32/gogrey_e.png      Basda/Qt/32x32/gogreyselect_rel1.png  Basda/Qt/32x32/gomax_n.png    Basda/Qt/32x32/goselect_rel5.png \
             Basda/Qt/32x32/gogreymax_e.png   Basda/Qt/32x32/gogreyselect_rel2.png  Basda/Qt/32x32/gomax_nw.png   Basda/Qt/32x32/goselect_rel6.png \
             Basda/Qt/32x32/gogreymax_ne.png  Basda/Qt/32x32/gogreyselect_rel3.png  Basda/Qt/32x32/gomax_se.png   Basda/Qt/32x32/goselect_rel7.png \
             Basda/Qt/32x32/gogreymax_n.png   Basda/Qt/32x32/gogreyselect_rel4.png  Basda/Qt/32x32/gomax_s.png    Basda/Qt/32x32/goselect_rel.png \
             Basda/Qt/32x32/gogreymax_nw.png  Basda/Qt/32x32/gogreyselect_rel5.png  Basda/Qt/32x32/gomax_sw.png   Basda/Qt/32x32/go_se.png \
             Basda/Qt/32x32/gogreymax_se.png  Basda/Qt/32x32/gogreyselect_rel6.png  Basda/Qt/32x32/gomax_w.png    Basda/Qt/32x32/go_s.png \
             Basda/Qt/32x32/gogreymax_s.png   Basda/Qt/32x32/gogreyselect_rel7.png  Basda/Qt/32x32/go_ne.png      Basda/Qt/32x32/go_sw.png \
             Basda/Qt/32x32/gogreymax_sw.png  Basda/Qt/32x32/gogreyselect_rel.png   Basda/Qt/32x32/go_n.png       Basda/Qt/32x32/go_w.png \
             Basda/Qt/32x32/gogreymax_w.png   Basda/Qt/32x32/gogrey_se.png          Basda/Qt/32x32/go_nw.png \
             Basda/Qt/32x32/atend_e.png       Basda/Qt/32x32/atend_s.png            Basda/Qt/32x32/atend_n.png    Basda/Qt/32x32/atend_w.png \
             Basda/Qt/32x32/atlimit_e.png     Basda/Qt/32x32/atlimit_s.png          Basda/Qt/32x32/atlimit_n.png  Basda/Qt/32x32/atlimit_w.png 	\
             Basda/Qt/32x32/atlimit_nw.png    Basda/Qt/32x32/atlimit_sw.png         Basda/Qt/32x32/atlimit_se.png Basda/Qt/32x32/atlimit_ne.png \
             Basda/Qt/32x32/atlimitsw_n.png   Basda/Qt/32x32/atlimitsw_nw.png       Basda/Qt/32x32/atlimitsw_w.png Basda/Qt/32x32/atlimitsw_sw.png \
             Basda/Qt/32x32/atlimitsw_s.png   Basda/Qt/32x32/atlimitsw_se.png       Basda/Qt/32x32/atlimitsw_e.png Basda/Qt/32x32/atlimitsw_ne.png\
             Basda/Qt/32x32/home.png          Basda/Qt/32x32/two-way.png \
             Basda/Qt/32x32/limit_n.png       Basda/Qt/32x32/limit_w.png            Basda/Qt/32x32/limit_e.png    Basda/Qt/32x32/limit_s.png \
             Basda/Qt/32x32/positive_limit_e.png  Basda/Qt/32x32/positive_limit_n.png  Basda/Qt/32x32/positive_limit_s.png  Basda/Qt/32x32/positive_limit_w.png \
             Basda/Qt/32x32/negative_limit_e.png  Basda/Qt/32x32/negative_limit_n.png  Basda/Qt/32x32/negative_limit_s.png  Basda/Qt/32x32/negative_limit_w.png 

